Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Proxy Class Template Reference

TAO_Notify_Proxy. More...

`#include <Notify_Proxy_T.h>`

Inheritance diagram for TAO_Notify_Proxy:

[legend]
Collaboration diagram for TAO_Notify_Proxy:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Proxy (void)
| Constructor. More...
virtual | ~TAO_Notify_Proxy (void)
| Destructor. More...
CORBA::ULong | _incr_refcnt (void)
| Increment the reference count. More...
CORBA::ULong | _decr_refcnt (void)
| Decrement the reference count. More...
virtual void | _add_ref (ACE_ENV_SINGLE_ARG_DECL)
virtual void | _remove_ref (ACE_ENV_SINGLE_ARG_DECL)
virtual void | dispatch_update (TAO_Notify_EventType_List &added_list, TAO_Notify_EventType_List &removed_list ACE_ENV_ARG_DECL)
virtual CosNotifyChannelAdmin::ProxyType | MyType (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | validate_event_qos (const CosNotification::QoSProperties &required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual CosNotification::QoSProperties * | get_qos (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | validate_qos (const CosNotification::QoSProperties &required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual CosNotifyFilter::FilterID | add_filter (CosNotifyFilter::Filter_ptr new_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::Filter_ptr | get_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::FilterIDSeq * | get_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
const TAO_Notify_QoSAdmin_i & | qos_admin (void) const
## Protected Methods
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed ACE_ENV_ARG_DECL)=0
| Derived types should implement this to deliver the update. More...
virtual void | setup_qos_policies (ACE_ENV_SINGLE_ARG_DECL)
| Derived types may implement this if they need to do something directly after setting the qos policies. More...
## Protected Attributes
ACE_Lock * | lock_
| The locking strategy. More...
CORBA::ULong | refcount_
| The reference count. More...
CosNotifyChannelAdmin::ProxyType | proxy_type_
| What type are we? More...
TAO_Notify_Event_Manager * | event_manager_
| Our event manager. More...
CORBA::Boolean | is_connected_
| True if we are connected to a consumer. More...
CORBA::Boolean | updates_on_
| True by default, for subscription/publication updates. More...
TAO_Notify_QoSAdmin_i | qos_admin_
| Handle QoS admin methods. More...
TAO_Notify_FilterAdmin_i | filter_admin_
| Handles the Filter admin methods. More...
CosNotifyChannelAdmin::ProxyID | proxy_id_
| The ID assigned to this Proxy. More...

## Detailed Description

### template<class SERVANT_TYPE>
class TAO_Notify_Proxy< SERVANT_TYPE >

TAO_Notify_Proxy.

The is a base class for all proxys , templatized by the servant type. All the Filter Admin and QoS Admin interface methods are implemented here by delegating to the admin implementations.

## Constructor & Destructor Documentation

template<class SERVANT_TYPE>
TAO_Notify_Proxy< SERVANT_TYPE >::TAO_Notify_Proxy | ( | void |  | ) |

| Constructor.

template<class SERVANT_TYPE>
TAO_Notify_Proxy< SERVANT_TYPE >::~TAO_Notify_Proxy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::_add_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

template<class SERVANT_TYPE>
CORBA::ULong TAO_Notify_Proxy< SERVANT_TYPE >::_decr_refcnt | ( | void |  | ) | `[virtual]`

| Decrement the reference count. Reimplemented from TAO_Notify_RefCounted.

template<class SERVANT_TYPE>
CORBA::ULong TAO_Notify_Proxy< SERVANT_TYPE >::_incr_refcnt | ( | void |  | ) | `[virtual]`

| Increment the reference count. Reimplemented from TAO_Notify_RefCounted.

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::_remove_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

template<class SERVANT_TYPE>
CosNotifyFilter::FilterID TAO_Notify_Proxy< SERVANT_TYPE >::add_filter | ( | CosNotifyFilter::Filter_ptr new_filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::dispatch_update | ( | TAO_Notify_EventType_List & | added_list,
|  | TAO_Notify_EventType_List &removed_list | ACE_ENV_ARG_DECL
| ) | `[virtual]`

template<class SERVANT_TYPE>
virtual void TAO_Notify_Proxy< SERVANT_TYPE >::dispatch_update_i | ( | CosNotification::EventTypeSeq | added,
|  | CosNotification::EventTypeSeq removed | ACE_ENV_ARG_DECL
| ) | `[protected, pure virtual]`

| Derived types should implement this to deliver the update. Reimplemented in TAO_Notify_ProxyPushConsumer_i, TAO_Notify_ProxyPushSupplier_i, TAO_Notify_SequenceProxyPushConsumer_i, TAO_Notify_SequenceProxyPushSupplier_i, TAO_Notify_StructuredProxyPushConsumer_i, and TAO_Notify_StructuredProxyPushSupplier_i.

template<class SERVANT_TYPE>
CosNotifyFilter::FilterIDSeq * TAO_Notify_Proxy< SERVANT_TYPE >::get_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotifyFilter::Filter_ptr TAO_Notify_Proxy< SERVANT_TYPE >::get_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

template<class SERVANT_TYPE>
CosNotification::QoSProperties * TAO_Notify_Proxy< SERVANT_TYPE >::get_qos | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotifyChannelAdmin::ProxyType TAO_Notify_Proxy< SERVANT_TYPE >::MyType | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
const TAO_Notify_QoSAdmin_i & TAO_Notify_Proxy< SERVANT_TYPE >::qos_admin | ( | void |  | ) | const

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::remove_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::remove_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

| Reimplemented in TAO_Notify_ProxyConsumer, TAO_Notify_ProxySupplier, TAO_Notify_ProxyConsumer< POA_CosNotifyChannelAdmin::ProxyPushConsumer >, TAO_Notify_ProxyConsumer< POA_CosNotifyChannelAdmin::SequenceProxyPushConsumer >, TAO_Notify_ProxyConsumer< POA_CosNotifyChannelAdmin::StructuredProxyPushConsumer >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::setup_qos_policies | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Derived types may implement this if they need to do something directly after setting the qos policies. Reimplemented in TAO_Notify_SequenceProxyPushSupplier_i.

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::validate_event_qos | ( | const CosNotification::QoSProperties & | required_qos,
|  | CosNotification::NamedPropertyRangeSeq_out | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::validate_qos | ( | const CosNotification::QoSProperties & | required_qos,
|  | CosNotification::NamedPropertyRangeSeq_out available_qos | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

## Member Data Documentation

template<class SERVANT_TYPE>
TAO_Notify_Event_Manager* TAO_Notify_Proxy::event_manager_`[protected]`

| Our event manager.

template<class SERVANT_TYPE>
TAO_Notify_FilterAdmin_i TAO_Notify_Proxy::filter_admin_`[protected]`

| Handles the Filter admin methods.

template<class SERVANT_TYPE>
CORBA::Boolean TAO_Notify_Proxy::is_connected_`[protected]`

| True if we are connected to a consumer.

template<class SERVANT_TYPE>
ACE_Lock* TAO_Notify_Proxy::lock_`[protected]`

| The locking strategy.

template<class SERVANT_TYPE>
CosNotifyChannelAdmin::ProxyID TAO_Notify_Proxy::proxy_id_`[protected]`

| The ID assigned to this Proxy.

template<class SERVANT_TYPE>
CosNotifyChannelAdmin::ProxyType TAO_Notify_Proxy::proxy_type_`[protected]`

| What type are we?

template<class SERVANT_TYPE>
TAO_Notify_QoSAdmin_i TAO_Notify_Proxy::qos_admin_`[protected]`

| Handle QoS admin methods.

template<class SERVANT_TYPE>
CORBA::ULong TAO_Notify_Proxy::refcount_`[protected]`

| The reference count.

template<class SERVANT_TYPE>
CORBA::Boolean TAO_Notify_Proxy::updates_on_`[protected]`

| True by default, for subscription/publication updates.

The documentation for this class was generated from the following files:

- Notify_Proxy_T.h
- Notify_Proxy_T.cpp